﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace BinDataLoader
{
    /// <summary>
    /// Interaction logic for SecurityNameWindow.xaml
    /// </summary>
    public partial class SecurityNameWindow : Window
    {
        public SecurityNameWindow()
        {
            InitializeComponent();
            this.WarningGroupBox.Content = @"This security is not added to Source\Security.xml. Set the security name.";
        }

        private void OkButton_Click(object sender, RoutedEventArgs e)
        {
            DialogResult = true;
            this.Close();
        }

        private void OrdinarySharesTamplateButton_Click(object sender, RoutedEventArgs e)
        {
            SecurityNameTextBox.Text = OrdinarySharesTamplateButton.Content.ToString();
        }

        private void PreferredSharesTamplateButton_Click(object sender, RoutedEventArgs e)
        {
            SecurityNameTextBox.Text = PreferredSharesTamplateButton.Content.ToString();
        }

        private void FuturesContractTamplateButton_Click(object sender, RoutedEventArgs e)
        {
            SecurityNameTextBox.Text = FuturesContractTamplateButton.Content.ToString();
        }
    }
}
